﻿import { Component } from '@angular/core';

import { TheGang, TheGangService } from '../service/thegang.service';
//import { Gender, GenderService } from '../service/gender.service';

@Component({
    selector: 'app-editgrid3',
    templateUrl: './editgrid3.component.html',
    styleUrls: ['./editgrid3.component.scss'],
    //providers: [TheGangService, GenderService]
    providers: [TheGangService]
})
export class EditGrid3Component {
    public gridData: any;
    public genderData = [{ Gender: "M" }, { Gender: "F" }];
    public groupedColumns: Array<string>;
    public filterType;
    public pageSettings;
    public editSettings;
    public toolbarItems;

    gangmembers: TheGang[]

    //constructor(theGangService: TheGangService, GenderService: GenderService) {
    constructor(theGangService: TheGangService) {
        this.gangmembers = theGangService.getTheGang();

        this.filterType = { filterType: 'menu' };
        this.pageSettings = { pageSize: 5 };
        this.editSettings = { allowEditing: true, allowAdding: true, allowDeleting: true, editMode: "dialog", showDeleteConfirmDialog:true };
        this.toolbarItems = { showToolbar: true, toolbarItems: ["add", "edit", "delete", "update", "cancel", "search"] };

        this.gridData = this.gangmembers;

    }

    onComplete(event: any) {
        if (event.requestType == "beginedit") {
            $("#ejControl_0Gender").ejDropDownList({ dataSource: event.model.columns[3].dataSource, fields: { text: "Gender", value: "Gender" } }).ejDropDownList("setSelectedValue", event.row.children().eq(3).text());
        }
    }
}
